﻿@using LAP.Areas.Admin.Model;
@model FirmAdv2bModel
@{
    Layout = null;
    var TimeZone = Convert.ToInt32(User.Claims.FirstOrDefault(c => c.Type == "TimeZone")?.Value);
    var activeMembers = Model.Members.Where(m => m.Active);
    var inActiveMembers = Model.Members.Where(m => !m.Active);
}
<!DOCTYPE html>
<html lang="en">
<head>
    <title>@System.IO.Path.GetFileNameWithoutExtension(Model.FileName)</title>
    <link href="~/css/report-style.css" rel="stylesheet" />
</head>
<body>
    <div>
        <div class="d-flex justify-content-center">
            <h1 class="font-weight-bold">
                <span class="text-navi">
                    @Model.FirmName ADV 2B Report
                </span>
            </h1>
        </div>
        <div>
            @if (activeMembers.Count() > 0)
            {
                <table class="table-custom">
                    <thead>
                        <tr>
                            <th>Name/Email</th>
                            <th width="100px">Role</th>
                            <th width="150px" class="text-center">Uploaded Date</th>
                            <th width="150px" class="text-center">Reviewed Date</th>
                            <th width="50px" class="text-center">Status</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in activeMembers.OrderBy(m => m.Role))
                        {
                            DateTime uploadedDatTime = item.Document != null ? item.Document.UploadedDate.AddMinutes(-TimeZone) : DateTime.MinValue;
                            var uploadedDate = uploadedDatTime.ToString("MMM dd, yyyy");
                            var uploadedTime = uploadedDatTime.ToString("hh:mm tt");

                            DateTime? reviewedDatTime = item.Document != null && item.Document.ReviewedDate != null ? Convert.ToDateTime(item.Document.ReviewedDate).AddMinutes(-TimeZone) : null;
                            var reviewedDate = reviewedDatTime != null ? Convert.ToDateTime(reviewedDatTime).ToString("MMM dd, yyyy") : null;
                            var reviewedTime = reviewedDatTime != null ? Convert.ToDateTime(reviewedDatTime).ToString("hh:mm tt") : null;
                            <tr>
                                <td>@item.Name<br />@item.Email</td>
                                <td style="vertical-align:middle;">@item.Role.GetDisplayName()</td>
                                <td class="text-center">
                                    @(uploadedDatTime.IsNotEmptyDate() ? Html.Raw($"{uploadedDate}<br/>{uploadedTime}") : "-")
                                </td>
                                <td class="text-center">
                                    @(reviewedDatTime != null ? Html.Raw($"{reviewedDate}<br/>{reviewedTime}") : "-")
                                </td>
                                <td class="text-center" style="vertical-align:middle;">@(item.Document != null && item.Document.Status != default ? item.Document.Status.GetDisplayName() : "-")</td>
                            </tr>
                        }
                    </tbody>
                </table>
            }
            else
            {
                <div class="text-na">N/A</div>
            }
        </div>
        <div style="margin-top:30px">
            <h2>Inactive Investment Adviser Representatives</h2>
            @if (inActiveMembers.Count() > 0)
            {
                <table class="table-custom">
                    <thead>
                        <tr>
                            <th>Name/Email</th>
                            <th width="100px">Role</th>
                            <th width="150px" class="text-center">Uploaded Date</th>
                            <th width="150px" class="text-center">Reviewed Date</th>
                            <th width="50px" class="text-center">Status</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in inActiveMembers.OrderBy(m => m.Role))
                        {
                            DateTime uploadedDatTime = item.Document != null ? item.Document.UploadedDate.AddMinutes(-TimeZone) : DateTime.MinValue;
                            var uploadedDate = uploadedDatTime.ToString("MMM dd, yyyy");
                            var uploadedTime = uploadedDatTime.ToString("hh:mm tt");

                            DateTime? reviewedDatTime = item.Document != null && item.Document.ReviewedDate != null ? Convert.ToDateTime(item.Document.ReviewedDate).AddMinutes(-TimeZone) : null;
                            var reviewedDate = reviewedDatTime != null ? Convert.ToDateTime(reviewedDatTime).ToString("MMM dd, yyyy") : null;
                            var reviewedTime = reviewedDatTime != null ? Convert.ToDateTime(reviewedDatTime).ToString("hh:mm tt") : null;
                            <tr>
                                <td>@item.Name<br />@item.Email</td>
                                <td style="vertical-align:middle;">@item.Role.GetDisplayName()</td>
                                <td class="text-center">
                                    @(uploadedDatTime.IsNotEmptyDate() ? Html.Raw($"{uploadedDate}<br/>{uploadedTime}") : "-")
                                </td>
                                <td class="text-center">
                                    @(reviewedDatTime != null ? Html.Raw($"{reviewedDate}<br/>{reviewedTime}") : "-")
                                </td>
                                <td class="text-center" style="vertical-align:middle;">@(item.Document != null && item.Document.Status != default ? item.Document.Status.GetDisplayName() : "-")</td>
                            </tr>
                        }
                    </tbody>
                </table>
            }
            else
            {
                <div class="text-na">N/A</div>
            }
        </div>
    </div>
</body>
</html>